/******************************************************************/
/*                                                                */
/*  H S A _ A T T R . H - Various Screen Attributes and Macro     */
/*                                                                */
/******************************************************************/

/******************************************************************/
/*                                                                */
/*        Copyright (c) Hardwood Software Associates 1988         */
/*                                                                */
/*                 Hardwood Software Associates                   */
/*                        364 Benson Road                         */
/*                     Northbridge, Ma 01534                      */
/*                                                                */
/******************************************************************/

/******************************************************************
 *            H S A _ A T T R . H    E D I T    L O G
 *
 *    $Log:   D:/CRT/VCS/HSA_ATTR.H_V  $
 *  
 *     Rev 1.2   02 Jul 1988  7:28:38   R. Evans
 *  Add MAKE_PAL
 *  
 *     Rev 1.1   01 May 1988 10:45:22   R. Evans
 *  Remove tabs for inclusion in documentation
 *  
 *  Rev 1.0   30 Apr 1988 22:10:44   R. Evans
 *   Initial revision.
 ******************************************************************/

#ifndef HSA_ATTRIBUTES
#define HSA_ATTRIBUTES
                                     /* Monochrome Attributes */
#define SCR_NORM    0x07             /* Normal characters */
#define SCR_BOLD    0x0F             /* Bold characters */
#define SCR_BLINK   0x87             /* Blinking characters */
#define SCR_REVERSE 0x70             /* Reverse video characters */
#define SCR_UNDER   0x01             /* Underlined characters */
#define SCR_B_B     0x8F             /* Blinking bold characters */
#define SCR_B_U     0x09             /* Blinking underlined characters */
                                     /* Colors */
#define SCR_BLACK    0x0
#define SCR_BLUE     0x1
#define SCR_GREEN    0x2
#define SCR_CYAN     0x3
#define SCR_RED      0x4
#define SCR_MAGENTA  0x5
#define SCR_YELLOW   0x6
#define SCR_WHITE    0x7

#define SCR_INTENSE_BIT  0x08        /* Intensty bit */
#define SCR_BLINK_BIT    0x80        /* Blink bit */
                                     /* Create attribute byte */
#define MAKE_ATTR(fore,back)  (((back)<<4) | (fore))
                                     /* Reverse foreground nd background */
#define REVERSE_ATTR(a)       ((a&0x80)|(a&0x08)|((a&0x07)<<4)|((a&0x70)>>4))
                                     /* Create Palette Value */
#define MAKE_PAL(intense,normal) ((intense<<3)|normal)
                                     /* CRT states */
#define MONOCHROME     0x7
#define CGA            0x6
#define EGA            0x10
                                     /* MOUSE definitions */
#define MOWS_LEFT    0               /* Left button */
#define MOWS_RIGHT   1               /* Right button */
#define MOWS_MIDDLE  2               /* Middle button */

#define MOWS_NO      0               /* No mouse (or driver) */
#define MOWS_MICRO   2               /* Microssoft mouse installe */
#define MOWS_MOUSE   3               /* Mouse Systems mouse installed */
#endif

